Skip to main content
POST
/
v1
/
teams
/
{team_id}
/
tasks
/
{task_id}
/
archive
Archive Task
curl --request POST \
  --url https://api.dataraven.io/v1/teams/{team_id}/tasks/{task_id}/archive \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.dataraven.io/v1/teams/{team_id}/tasks/{task_id}/archive"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.dataraven.io/v1/teams/{team_id}/tasks/{task_id}/archive', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "source_location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source_location_name": "<string>",
  "source_location_bucket": "<string>",
  "source_location_type": "<string>",
  "destination_location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "destination_location_name": "<string>",
  "destination_location_bucket": "<string>",
  "destination_location_type": "<string>",
  "is_scheduled": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "source_path": "/prod/data",
  "destination_path": "/backup",
  "schedule_cron": "<string>",
  "last_scheduled_run_at": "2023-11-07T05:31:56Z",
  "rclone_config": {
    "bwlimit": "100M",
    "transfers": 4,
    "checkers": 8,
    "filters": {
      "filter": [
        "<string>"
      ],
      "max_age": "24h",
      "min_age": "24h",
      "max_size": "100M",
      "min_size": "1K"
    },
    "checksum": true,
    "size_only": true,
    "ignore_size": true,
    "modify_window": "1s",
    "update": true,
    "use_server_modtime": true,
    "no_update_modtime": true,
    "ignore_existing": true,
    "no_traverse": true,
    "max_depth": -1,
    "max_transfer": "1G",
    "max_backlog": 10000,
    "fast_list": true,
    "buffer_size": "16M",
    "immutable": true,
    "metadata": true,
    "s3_no_check_bucket": true,
    "s3_chunk_size": "5M",
    "s3_upload_concurrency": 4,
    "s3_max_upload_parts": 10000,
    "no_check_dest": true,
    "b2_hard_delete": true,
    "b2_upload_concurrency": 4,
    "azureblob_upload_concurrency": 16,
    "disable_http2": true,
    "multi_thread_streams": 4,
    "multi_thread_cutoff": "128M",
    "multi_thread_chunk_size": "64M",
    "tpslimit": 0,
    "tpslimit_burst": 1
  }
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

task_id
string<uuid>
required
team_id
string<uuid>
required

Response

Successful Response

Full task response with rclone config (for CRUD and detail endpoints).

id
string<uuid>
required
team_id
string<uuid>
required
created_by
string<uuid>
required
name
string
required
task_type
enum<string>
required

Task operation types.

Available options:
copy,
sync
source_location_id
string<uuid>
required
source_location_name
string
required

Source location display name

source_location_bucket
string
required

Source location bucket name

source_location_type
string
required

Source location provider type

destination_location_id
string<uuid>
required
destination_location_name
string
required

Destination location display name

destination_location_bucket
string
required

Destination location bucket name

destination_location_type
string
required

Destination location provider type

is_scheduled
boolean
required
status
enum<string>
required

Task definition status.

Available options:
enabled,
disabled,
archived
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
Maximum string length: 2000
source_path
string | null

Path within source bucket

Maximum string length: 1000
Example:

"/prod/data"

destination_path
string | null

Path within destination bucket

Maximum string length: 1000
Example:

"/backup"

schedule_cron
string | null
Maximum string length: 100
last_scheduled_run_at
string<date-time> | null

Last scheduled execution time

rclone_config
RCloneConfig · object

RClone configuration options (includes provider-specific defaults)